Bug 1292056 - Use -Q instead of -P to set capture direction
Summary: Use -Q instead of -P to set capture direction
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tcpdump
Version: 7.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Martin Sehnoutka
QA Contact: Jaroslav Aster
Vladimír Slávik
URL:
Whiteboard:
Depends On:
Blocks: 1380362
TreeView+ depends on / blocked
 
Reported: 2015-12-16 11:05 UTC by Jaroslav Aster
Modified: 2017-08-01 12:13 UTC (History)
3 users (show)

Fixed In Version: tcpdump-4.5.1-6.el7
Doc Type: Release Note
Doc Text:
The option to set capture direction for *tcpdump* changed from "-P" to "-Q" Previously, the *tcpdump* utility in Red Hat Enterprise Linux used the "-P" option to set the capture direction, while the upstream version used "-Q". The "-Q" option has been implemented and is now preferred. The "-P" option retains the previous function as an alias of "-Q", but displays a warning.
Clone Of: 1292055
Environment:
Last Closed: 2017-08-01 12:13:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1871 normal SHIPPED_LIVE Moderate: tcpdump security, bug fix, and enhancement update 2017-08-01 16:00:24 UTC

Description Jaroslav Aster 2015-12-16 11:05:55 UTC
The same issue on rhel-7. Tested on tcpdump-4.5.1-3.el7.

+++ This bug was initially created as a clone of Bug #1292055 +++

Description of problem:

In tcpdump-4.0.0-5.20090921gitdf3cb4.2.el6 new option -P was introduced (bug 1099701), but upstream uses -Q option for the same thing, so there is difference between RHEL and upstream. RHEL should use the same option as upstream.

--- Additional comment from Jaroslav Aster on 2015-12-16 06:03:31 EST ---

I suggest to save backward compatibility and use -P as an alias for -Q and print some warning when -P is used.

Comment 5 Jaroslav Aster 2017-04-11 14:45:46 UTC
Hi Martin,

could you please confirm to me that setting -P/-Q is not supposed to work on aarch64? Other architectures work fine. Thanks.

tcpdump: nflog: pcap_setdirection() failed: Setting direction is not implemented on this platform

Comment 6 Martin Sehnoutka 2017-04-24 12:04:46 UTC
Yes, it is not supposed to work everywhere as stated here:
http://www.tcpdump.org/manpages/pcap_setdirection.3pcap.html

Comment 10 errata-xmlrpc 2017-08-01 12:13:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1871


Note You need to log in before you can comment on or make changes to this bug.